gi-xlib-2.0.14: xlib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.Display

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype Display = Display (ManagedPtr Display)

# Exported types

newtype Display Source #

Memory-managed wrapper type.

Constructors

Display (ManagedPtr Display) |

#### Instances

Instances details

Eq Display Source # |
Instance details Defined in GI.Xlib.Structs.Display Methods (==) :: Display -> Display -> Bool Source # (/=) :: Display -> Display -> Bool Source #
BoxedPtr Display Source # |
Instance details Defined in GI.Xlib.Structs.Display Methods boxedPtrCopy :: Display -> IO Display Source # boxedPtrFree :: Display -> IO () Source #
ManagedPtrNewtype Display Source # |
Instance details Defined in GI.Xlib.Structs.Display Methods toManagedPtr :: Display -> ManagedPtr Display Source #

# Methods